Bug 438 - Cannot build release.
Summary: Cannot build release.
Status: RESOLVED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Release (show other bugs)
Version: 6.7.0
Hardware: x86 (IA32) Linux (All)
: highest blocker
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 556
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-09 07:31 UTC by Mike Rose
Modified: 2004-05-04 15:56 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Rose 2004-04-09 07:31:02 UTC
fontconfig fails to build:

fcfreetype.c: In function `FcVendorFoundry':
fcfreetype.c:254: warning: pointer targets in passing arg 2 of `FcVendorMatch'
differ in signedness
fcfreetype.c: In function `FcFreeTypeQuery':
fcfreetype.c:280: `PS_FontInfoRec' undeclared (first use in this function)
fcfreetype.c:280: (Each undeclared identifier is reported only once
fcfreetype.c:280: for each function it appears in.)
fcfreetype.c:280: parse error before `psfontinfo'
fcfreetype.c:334: warning: pointer targets in passing arg 1 of `FcVendorFoundry'
differ in signedness
fcfreetype.c:569: warning: pointer targets in passing arg 1 of `FcNoticeFoundry'
differ in signedness
fcfreetype.c:739: warning: implicit declaration of function `FT_Get_PS_Font_Info'
fcfreetype.c:739: `psfontinfo' undeclared (first use in this function)
make[4]: *** [fcfreetype.o] Error 1
make[4]: Leaving directory `/temp/X/xc/lib/fontconfig'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/temp/X/xc/lib'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/temp/X/xc'
make[1]: *** [World] Error 2
make[1]: Leaving directory `/temp/X/xc'
make: *** [World] Error 2


The openDarwin project seem to have already found this one:
http://www.opendarwin.org/pipermail/darwinports-bugs/2004-March/007548.html
Comment 1 Stefan Dirsch 2004-04-17 04:06:43 UTC
Looks like an external freetype2 library is used, which doesn't work together 
with the fontconfig version in X.Org. Which version of freetype2 are you using 
in your system? You might try to specify 
 
  #define BuildFreetype2Library YES 
 
in xc/config/host.def to use the freetype2 version which ships with X.Org. 
 
 
Comment 2 Stefan Dirsch 2004-04-25 00:52:21 UTC
Ouch. Somer more important information about this on xorg@freedesktop.org: 
 
From: Egbert Eich <eich@pdx.freedesktop.org> 
[...] 
 > Stuart Kreitman wrote: 
 > > I have a checkout from yesterday, the XORG-CURRENT (co done 4-22-2004, 
 > > 3:52 PST) 
 > > appears to not build on my SuSe 8 based system, breaks in 
 > > programs/mkfontscale/mkfontscale.c (ftbdf,h changed??) 
 > >  
 > > Will try my luck on the HEAD branch. 
 > 
 > Uhm... I have the same problem on SuSE 8.2 since the FreeType2 library 
 > shipped with SuSE 8.2 is too old. 
 
Right. You need at least freetype 2.1.7 to build the tree succeessfully. 
If you don't have that you will have to enable building of the included 
freetype module. This will unfortunately render the freetype module 
of the Xserver that gets build unsuable - partly because of bugs in 
freetype 2.1.7. I have caught this error yesterday and the workaround is 
rather simple. Unfortunately this wasn't detected prior to the 6.7 release 
:-(( 
I will upgrade freetype in the tree to the new 2.1.8 which has these 
bugs removed and has a new API that will allow Chisato to accelerate 
rendering of East Asian fonts without having to rely on an internal 
freetype function. 
This will unfortunately have to wait until I return from Boston. 
 
Egbert. 
 
Comment 3 Egbert Eich 2004-05-06 01:56:22 UTC
Chisato's changes to the freetype font module have moved the requirement to
freetype2 2.1.8 even. If this is not supplied please use
#define HasFreetype2 NO 
in host.def to build the freetype code supplied with the tree.
I guess there is no other way to fix this bug so I mark it 'wontfix'.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.